Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Friends
tlp::SizeProperty Class Reference
Properties

`#include <SizeProperty.h>`

Inheritance diagram for tlp::SizeProperty:
[legend]
Collaboration diagram for tlp::SizeProperty:
[legend]

List of all members.

## Public Member Functions

- SizeProperty (Graph *, std::string n="")
- Size getMax (Graph *sg=NULL)
- Size getMin (Graph *sg=NULL)
- void scale (const tlp::Vector< float, 3 > &, Graph *sg=NULL)
- void scale (const tlp::Vector< float, 3 > &, Iterator< node > *, Iterator< edge > *)
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- std::string getTypename () const
- virtual void setNodeValue (const node n, const Size &v)
- virtual void setAllNodeValue (const Size &v)
- int compare (const node n1, const node n2) const
    Compare sizes of n1 and n2 using their volume.

## Static Public Attributes

- static const std::string propertyTypename

## Protected Member Functions

- void resetMinMax ()

## Friends

- class SizeAlgorithm

## Constructor & Destructor Documentation

tlp::SizeProperty::SizeProperty | ( | Graph * | ,
|  | std::string | n = `""`
| ) |  |

## Member Function Documentation

PropertyInterface* tlp::SizeProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) |  | `[virtual]`

Creates an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied.

Implements tlp::PropertyInterface.

int tlp::SizeProperty::compare | ( | const node | n1,
|  | const node | n2
| ) |  | const`[virtual]`

Compare sizes of n1 and n2 using their volume.

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

Size tlp::SizeProperty::getMax | ( | Graph * | sg = `NULL` | ) |

Size tlp::SizeProperty::getMin | ( | Graph * | sg = `NULL` | ) |

std::string tlp::SizeProperty::getTypename | ( |  | ) | const`[inline, virtual]`

Returns a string describing the type of the property. i.e. "graph", "double", "layout", "string", "integer", "color", "size", ...

Implements tlp::PropertyInterface.

void tlp::SizeProperty::resetMinMax | ( |  | ) | `[protected]`

void tlp::SizeProperty::scale | ( | const tlp::Vector< float, 3 > & | ,
|  | Iterator< node > * | ,
|  | Iterator< edge > * |
| ) |  |

void tlp::SizeProperty::scale | ( | const tlp::Vector< float, 3 > & | ,
|  | Graph * | sg = `NULL`
| ) |  |

virtual void tlp::SizeProperty::setAllNodeValue | ( | const Size & | v | ) | `[virtual]`

virtual void tlp::SizeProperty::setNodeValue | ( | const node | n,
|  | const Size & | v
| ) |  | `[virtual]`

## Friends And Related Function Documentation

friend class SizeAlgorithm`[friend]`

## Member Data Documentation

const std::string tlp::SizeProperty::propertyTypename`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012